IdeaModule (Gradle API 2.14.1)

Package: org.gradle.tooling.model.idea

## [Java] Interface IdeaModule

- org.gradle.tooling.model.Element

- All Superinterfaces:
    Model, Element

  Represents information about the IDEA module.

  Since:
    1.0-milestone-5

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `IdeaCompilerOutput` | `getCompilerOutput()` Returns information about idea compiler output (output dirs, inheritance of output dir, etc.)
    `DomainObjectSet<? extends IdeaContentRoot>` | `getContentRoots()` All content roots.
    `DomainObjectSet<? extends IdeaDependency>` | `getDependencies()` dependencies of this module (i.e. module dependencies, library dependencies, etc.)
    `GradleProject` | `getGradleProject()` The gradle project that is associated with this module.
    `IdeaModuleIdentifier` | `getIdentifier()` The unique identifier for this IDEA module.
    `IdeaJavaLanguageSettings` | `getJavaLanguageSettings()` Returns the Java language settings for this element, or `null` if this element is not a Java element.
    `IdeaProject` | `getParent()` Returns the project of this module.
    `IdeaProject` | `getProject()` Returns the project of this module.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface HierarchicalElement` | `getParent, getChildren, getName, getDescription`
    `interface HasGradleProject` | `getGradleProject`

- - ### Method Detail

    - #### public IdeaCompilerOutput getCompilerOutput()

      Returns information about idea compiler output (output dirs, inheritance of output dir, etc.)

      Since:
        1.0-milestone-5

    - #### public DomainObjectSet<? extends IdeaContentRoot> getContentRoots()

      All content roots. Most idea modules have a single content root.

      Returns:
        content roots
      Since:
        1.0-milestone-5

    - #### public DomainObjectSet<? extends IdeaDependency> getDependencies()

      dependencies of this module (i.e. module dependencies, library dependencies, etc.)

      Returns:
        dependencies
      Since:
        1.0-milestone-5

    - #### public GradleProject getGradleProject()

      The gradle project that is associated with this module. Typically, a single module corresponds to a single gradle project.

      See HasGradleProject

      Returns:
        associated gradle project
      Since:
        1.0-milestone-5

    - #### @Incubating public IdeaModuleIdentifier getIdentifier()

      The unique identifier for this IDEA module.

      Returns:
        The unique identifier for this IDEA module.
      Since:
        2.14

    - #### @Nullable @Incubating public IdeaJavaLanguageSettings getJavaLanguageSettings()

      Returns the Java language settings for this element, or `null` if this element is not a Java element.

      throws:
        UnsupportedMethodException For Gradle versions older than 2.11, where this method is not supported.
      Returns:
        The Java language settings.
      Since:
        2.11

    - #### public IdeaProject getParent()

      Returns the project of this module. Alias to getProject()

      Returns:
        idea project
      Since:
        1.0-milestone-5

    - #### public IdeaProject getProject()

      Returns the project of this module. Alias to getParent()

      Returns:
        idea project
      Since:
        1.0-milestone-5